Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class ImageSequenceDataSource

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.image.ImageSequenceDataSource

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class ImageSequenceDataSource
extends QTObject
implements quicktime.jdirect.QuickTimeLib

QuickTime 2.1 introduced support for an arbitrary number of sources of data for an image sequence. This functionality forms the basis for dynamically modifying parameters to a decompressor. It also allows for codecs to act as special effects components, providing filtering and transition type effects. A client can attach an arbitrary number of additional inputs to the codec. It is up to the particular codec to determine whether to use each input and how to interpret the input. For example, an 8-bit gray image could be interpreted as a blend mask or as a replacement for one of the RGB data planes.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`ImageSequenceDataSource(CDSequence seq, int sourceType, int sourceInputNumber)` This will retrieve a previously created data source for an ImageSequence.
`ImageSequenceDataSource(CDSequence seq, int sourceType, int sourceInputNumber, QTHandleRef dataDescription)` Creates a new data source for an ImageSequence.

Method Summary
`void` | `changedSourceData()` Notifies the compressor that the image source data has changed.
`void` | `dispose()` All data sources are diposed of with the sequence.
`void` | `setSourceData(EncodedImage data)` The CDSequenceSetSourceData function is called to set data in a new frame to a specific source.

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageSequenceDataSource

    public ImageSequenceDataSource(CDSequence seq,
                                   int sourceType,
                                   int sourceInputNumber,
                                   QTHandleRef dataDescription)
                            throws QTException

  Creates a new data source for an ImageSequence.
  QuickTime::CDSequenceNewDataSource
Parameters:
  `sourceType` - A four-character code describing how the input will be used. This code is usually derived from the information returned by the codec. For example, if a mask plane was passed, this field might contain ÔmaskÕ.
  `sourceInputNumber` - More than one instance of a given source type may exist. The first occurrence should have a source input number of 1, and so on.
  `dataDescription` - A handle to a data structure describing the input data. For compressed image data, this is just an ImageDescriptionHandle.

### ImageSequenceDataSource

    public ImageSequenceDataSource(CDSequence seq,
                                   int sourceType,
                                   int sourceInputNumber)
                            throws QTException

  This will retrieve a previously created data source for an ImageSequence.
  QuickTime::CDSequenceGetDataSource
  Parameters:
    `sourceType` - A four-character code describing how the input will be used. This code is usually derived from the information returned by the codec. For example, if a mask plane was passed, this field might contain ÔmaskÕ.
    `sourceInputNumber` - More than one instance of a given source type may exist. The first occurrence should have a source input number of 1, and so on.

Method Detail

### changedSourceData

    public void changedSourceData()
                           throws StdQTException

  Notifies the compressor that the image source data has changed. Thus if the data is a PixMap the data source itself is unchanged by when you draw into the PixMap the contents of the PixMap have changed - so you use this method to notify the ImageSequence that the data has changed.
  QuickTime::CDSequenceChangedSourceData

### setSourceData

    public void setSourceData(EncodedImage data)
                       throws StdQTException

  The CDSequenceSetSourceData function is called to set data in a new frame to a specific source. For example, as a new frame of compressed data arrives at a source, CDSequenceSetSourceData will be called.
  QuickTime::CDSequenceSetSourceData

  Parameters:
    `data` - the new encoded image data for the DataSource.

### dispose

    public void dispose()
                 throws StdQTException

  All data sources are diposed of with the sequence. However if you want to remove a previously created data source for an image sequence an application can use this call to dispose of this data source. Once called this object is invalid and consequent calls on this object will return an error
  QuickTime::CDSequenceDisposeDataSource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD